Subject: Re: bug#74944: 31.0.50; Double TAB does not pop up *Completions* buffer when completing filename with dashes

From: Manuel Giraud <[email-masked]>
Date: Sat, 21 Dec 2024 13:31:04 +0100

Visuwesh <[email-masked]> writes:

> When completing filenames with dashes in them inside a shell-buffer,
> double TAB does not pop open the *Completions* buffer because it
> conflicts with argument completion.  To reproduce,
>
>     1. cd /tmp
>     2. mkdir test; cd test
>     3. touch blah_blah-pos-1.xyz; touch wowow-pos-1.xyz
>     4. Go to this directory in a shell buffer
>     5. Type rm pos.xyz TAB
>     6. Observe how it completes to `rm -pos-1.xyz'
>     7. Press TAB again and observe *Completions* buffer not popping up

Hi Visuwesh,

I can reproduce this.  FWIW, by instrumenting
`shell-filename-completion' with edebug, I can see that there is a
correct *Completions* buffer at some point but it "disappears" later.
I'll try to investigate it further.
-- 
Manuel Giraud